package jsp.tag;

import java.io.IOException;

import javax.servlet.jsp.*;
import javax.servlet.jsp.tagext.Tag;

public class HelloWorldTag implements Tag {
	PageContext pageContext = null;
	String username = null;

	public String getUsername() {
		return username;
	}

	public void setUsername(String username) {
		this.username = username;
	}
	
	public int doStartTag() throws JspException {
		JspWriter out = pageContext.getOut();
		try {
			out.println("ÄãºÃ" + username);
		} catch (IOException e) {
			e.printStackTrace();
		}
		return this.SKIP_BODY;
	}

	public int doEndTag() throws JspException {
		return this.EVAL_PAGE;
	}

	public Tag getParent() {
		return null;
	}

	public void release() {
		
	}

	public void setPageContext(PageContext arg0) {
		
	}

	public void setParent(Tag arg0) {
		
	}
}
